package main

import (
	"os"
	"runtime/pprof"

	"github.com/pingcap/tidb/session"
	. "github.com/pingcap/tidb/store/mockstore"
)

func testMock() {
	opts := []MockTiKVStoreOption{WithStoreType(MockTiKV)}
	store, _ := NewMockStore(opts...)
	defer store.Close()

	dom, _ := session.BootstrapSession(store)
	defer dom.Close()
}

func main() {
	for i := 0; i < 100; i++ {
		testMock()
	}
	f, _ := os.Create("heap_profile")
	pprof.WriteHeapProfile(f)
}
